<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: rulles.php
-------------------------------------------
*/
$title = 'Восстановление пароля';
//-----Подключаем функции-----//
require_once ('system/function.php');
//-----Подключаем вверх-----//
require_once ('system/header.php');
//-----Переадресация для авторизированых-----//
if(isset($user['id'])){
header('Location: /');
exit();
}
echo '<div class="title">Восстановление пароля</div>';
//-----Если жмут submit(кнопку)-----//
if(isset($_REQUEST['true']))
{
$login = strong($_POST['login']);//фильтрируем
if(empty($login))
{
echo err('Вы не ввели логин!');
require_once ('system/footer.php'); exit;
}
if(mb_strlen($login) > 20 or mb_strlen($login) < 3)
{
echo err('Введите логин от 3 до 20 символов!');
require_once ('system/footer.php'); exit;
}
//-----Проверка на символы-----//
if (!preg_match('|^[a-z0-9\-]+$|i', $login))
{
echo err('Кириллица запрещена в логине!');
require_once ('system/footer.php'); exit;
}

$email = strong($_POST['email']);
if(empty($email))
{
echo err('Вы не ввели свой e-mail!');
require_once ('system/footer.php'); exit;
}
//-----Проверяем правильность ввода e-mail-----//
if (!preg_match('/[0-9a-z_\-]+@[0-9a-z_\-^\.]+\.[a-z]{2,6}/i', $email)) {
echo err('Формат e-mail введён не верно!');
require_once ('system/footer.php'); exit;
}
$sqldb = mysql_fetch_array(mysql_query("SELECT `login`,`email` FROM `users` WHERE `login` = '".$login."' and `email`='".$email."' LIMIT 1"));
if(!empty($login) && !empty($email)) if($sqldb == 0){
echo err('Введенные данные не верны!');
require_once ('system/footer.php'); exit;
}
$rou = rand(1000000000,5000000000);
mysql_query("UPDATE `users` SET `pass` = '".md5(md5(md5($rou)))."' WHERE `login` = '".$login."'");
echo '<div class="podmenu"><b>На Ваш e-mail '.$email.' Мы отправили письмо с вашими регистрациоными данными!</b></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
$title = $_SERVER['HTTP_HOST'];

$msg = 'Здравствуйте '.$login.'!

Вами (или нет) была произведена операция по восстановлению пароля на сайте '.$HOME.'

Ваши данные для входа в аккаунт:
-------------------------
Логин: '.$login.'
Пароль: '.$rou.'
Ваш автологин: '.$HOME.'/autolog.php?ulog='.$login.'&upas='.$rou.'
-------------------------
Пароль сгенерирован автоматически, просим Вас после авторизации сменить его!';

$sets = 'admin@'.$_SERVER['HTTP_HOST'];
$adds = "From: <" . $sets . ">\r\n";
$adds .= "Content-Type: text/plain; charset=\"utf-8\"\r\n";

mail($email, '=?utf-8?B?'.base64_encode('Восстановление пароля '.$HOME).'?=', $msg, $adds);
session_destroy();
exit();
}
//-----Форма ввода-----//
echo '<div class="podmenu">
<form action="" method="POST">
*Ваш логин:<br /><input type="text" name="login" maxlength="20" /><br />
*Ваш e-mail:<br /><input type="text" name="email" maxlength="40" /><br />
<input type="submit" name="true" value="Восстановить" />
</form></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
?>